Confirm Entry Image
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/images/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uploadSessionId": "<string>",
"entryVersion": 123,
"collectionVersion": 123,
"altText": "<string>",
"isDefault": false
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/images/confirm"
payload = {
"uploadSessionId": "<string>",
"entryVersion": 123,
"collectionVersion": 123,
"altText": "<string>",
"isDefault": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uploadSessionId: '<string>',
entryVersion: 123,
collectionVersion: 123,
altText: '<string>',
isDefault: false
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/images/confirm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"images": [
{
"id": "<string>",
"url": "<string>",
"altText": "<string>",
"isDefault": true,
"position": 123,
"version": 123
}
],
"entryVersion": 123,
"collectionVersion": 123
}Collection Media
Confirm Entry Image
POST
/
v1
/
workspaces
/
{workspaceId}
/
collections
/
{id}
/
entries
/
{entryId}
/
images
/
confirm
Confirm Entry Image
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I